Updates the purchase order order lines with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
purchase_order_details| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| purchase_order_id |
Foreign key of the purchase_order |
globally unique identifier |
Optionally required : purchase_order_id, purchase_order_reference or purchase_order must be provided |
| purchase_order_reference_back_office |
Embedded entity "purchase_order" using ERP PK when adding/updating |
string |
Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided |
| purchase_order |
Embedded entity "purchase_order" when adding/updating |
purchase_order |
Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| line_number |
Line Number, auto filled with (Highest+1) if value is 0/null |
integer | |
| code |
Code of the article (auto filled if empty) |
string |
Max length: 255 |
| supplier_code |
Code of the supplier for this article |
string |
Max length: 255 |
| name |
Article Name (will be auto filled if article.name+description are empty) |
string |
Max length: 255 |
| description |
Article description (will be auto filled by article.short_description if name+description are empty) |
string |
Max length: 255 |
| price |
Unit Price |
decimal number |
Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$ Range: inclusive between 0.1 and 1.79769313486232E+308 |
| quantity |
Quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| memo |
Line memo/remark |
string | |
| cost_price |
Unit Cost Price (statistic purpose) |
decimal number |
Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$ |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "22636f11-82f9-41b0-a290-d8649d8079c8",
"purchase_order_id": "20e1013a-5670-4409-ac98-72787a6c387b",
"purchase_order_reference_back_office": "sample string 3",
"purchase_order": {
"id": "d6a40253-2b6b-4308-8179-a4b3c12922c4",
"id2": 2,
"jobs_id": "eb80cb73-9747-40d7-8e07-31e65dc3b93c",
"jobs_reference_back_office": "sample string 4",
"supplier_company_id": "4d3616ed-72fe-49c2-bfdb-43e4baa2c7ea",
"supplier_company_code": "sample string 6",
"user_id": "3429ff71-aa49-4927-a638-1e09920d6d7c",
"user_code": "sample string 8",
"description": "sample string 9",
"memo": "sample string 10",
"total_lines": 11,
"date_create": "2026-10-30T16:31:43.8401673+00:00",
"date_update": "2026-10-30T16:31:43.8401673+00:00",
"date_delivery": "2026-10-30T16:31:43.8401673+00:00",
"confirmed_date_delivery": "2026-10-30T16:31:43.8401673+00:00",
"delivery_db_address_id": "09c16f1e-0568-4242-82d1-dcc0b998e278",
"approved_by_user_id": "715b9422-14ad-4617-8e82-22cd74e0efa9",
"approved_by_user_code": "sample string 18",
"technical_user_id": "f8e23f67-b9fa-49d0-bfc2-b2371ec8042a",
"technical_user_code": "sample string 20",
"purchase_order_status_id": "612af860-7c0d-4e08-aacd-51447bde3674",
"purchase_order_status_code": "sample string 22",
"article_stock_location_id": "7502366b-7f64-42aa-bee7-3c6f985daf28",
"is_pickup": true,
"reference_back_office": "sample string 25",
"modified_dateutc": "2026-10-30T16:31:43.8592152+00:00"
},
"article_id": "02994ba2-2076-48fa-b9a1-d3f4a171d922",
"article_code": "sample string 5",
"article": {
"id": "a7d8295d-ef40-45c6-b5c9-bb302cbd0a5e",
"article_category_id": "f123d32b-b230-4884-ac67-622a189b2c97",
"article_category": {
"id": "e4c371ac-32a2-4c69-a424-383d52bf9d93",
"parent_id": "77b633fd-d242-4d48-b7b7-4290c9c3926b",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-10-30T16:31:43.8592152+00:00"
},
"article_category_code": "sample string 3",
"article_group_1_id": "8dd00928-04a2-484d-a4bc-4b7694c0c837",
"article_group_1_code": "sample string 5",
"article_group_2_id": "6f2dda72-3618-4933-a557-6c5e325841a7",
"article_group_2_code": "sample string 7",
"article_group_3_id": "6e878e30-1803-4297-8cf1-7532f3c16641",
"article_group_3_code": "sample string 9",
"article_group_4_id": "3e56e761-7cca-49eb-a548-c166e9f5de2f",
"article_group_4_code": "sample string 11",
"article_group_5_id": "9ab663a5-e373-440f-9370-0c1356ea9724",
"article_group_5_code": "sample string 13",
"article_group_6_id": "82d2424c-f899-46d3-87d4-274cf545d603",
"article_group_6_code": "sample string 15",
"physical_stock": 16,
"back_order_client": 17,
"back_order_supplier": 18,
"expected_delivery_date_bo_supplier": "2026-10-30T16:31:43.8592152+00:00",
"article_increment": 20,
"min_article_quantity": 21,
"entered_price": 22.0,
"cost_price": 23.1,
"no_stock": true,
"archived": true,
"is_travel_fee": true,
"is_mileage_fee": true,
"code": "sample string 28",
"name": "sample string 29",
"description_short": "sample string 30",
"description_long": "sample string 31",
"barcode": "sample string 32",
"notes": "sample string 33",
"date_create": "2026-10-30T16:31:43.8592152+00:00",
"date_update": "2026-10-30T16:31:43.8592152+00:00",
"modified_dateutc": "2026-10-30T16:31:43.8592152+00:00",
"article_color_id": "06b2911c-f0af-42f4-b9e6-44757bf85e29",
"article_color_code": "sample string 38",
"article_color": {
"id": "284d8045-85f9-41f0-98dd-222d02d3cdbb",
"name": "sample string 2",
"code": "sample string 3",
"modified_dateutc": "2026-10-30T16:31:43.8592152+00:00"
},
"warranty_period_nb_months": 39,
"use_serial": true,
"_replace_id": "33862dea-b31b-4a09-8d76-b8bfb12f5138",
"replace_article_code": "sample string 42",
"db_unit_of_measure_id_selling": "09b43884-7c09-4faa-b61e-0521db237991",
"db_unit_of_measure_code_selling": "sample string 44",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
]
},
"line_number": 6,
"code": "sample string 7",
"supplier_code": "sample string 8",
"name": "sample string 9",
"description": "sample string 10",
"price": 11.0,
"quantity": 12.0,
"memo": "sample string 13",
"cost_price": 14.0,
"reference_back_office": "sample string 15",
"modified_dateutc": "2026-10-30T16:31:43.8592152+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.